# $Revision: 1.11 $, $Date: 2011/12/03 11:37:52 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	Element-Extended
Summary:	Package of several enhanced HTML::Element* classes
Summary(pl.UTF-8):	Pakiet z kilkoma rozszerzonymi klasami HTML::Element*
Name:		perl-HTML-Element-Extended
Version:	1.18
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/HTML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	41ec9dcc7cefa03b204d0e8ca8e1c112
URL:		http://search.cpan.org/dist/HTML-Element-Extended/
%if %{with tests}
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl-HTML-Tree >= 3.01
BuildRequires:	perl(HTML::Element) >= 3.01
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML-Element-Extended is a package of several enhanced HTML::Element
classes, most of which arose during the effort to implement an
HTML::Element based table class.

The modules are: HTML::ElementTable, HTML::ElementSuper,
HTML::ElementGlob, HTML::ElementRaw.

The resulting functionality enables: tables, element globs, element
coordinates, content replacement, content wrapping, element cloning,
raw HTML string adoption.

%description -l pl.UTF-8
HTML-Element-Extended to pakiet z kilkoma rozszerzonymi klasami
HTML::Element, z których większość powstała podczas próby
zaimplementowania klas opartych na HTML::Element.

Moduły składowe to: HTML::ElementTable, HTML::ElementSuper,
HTML::ElementGlob, HTML::ElementRaw.

Wynikowa funkcjonalność obejmuje: tabele, maski elementów, współrzędne
elementów, zmianę zawartości, zawijanie zawartości, klonowanie
elementów, adopcję surowych łańcuchów HTML.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/HTML/ElementGlob.pm
%{perl_vendorlib}/HTML/ElementRaw.pm
%{perl_vendorlib}/HTML/ElementSuper.pm
%{perl_vendorlib}/HTML/ElementTable.pm
%{_mandir}/man3/HTML::Element*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-Element-Extended.spec,v $
Revision 1.11  2011/12/03 11:37:52  qboosh
- updated to 1.18

Revision 1.10  2007/03/31 11:17:53  qboosh
- generic URL

Revision 1.9  2007/03/26 22:06:29  radek
- release 2

Revision 1.8  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.6  2006/05/30 08:26:07  tiwek
- up to 1.17
- STBR

Revision 1.5  2005/05/31 15:16:32  petec
- up to 1.13

Revision 1.4  2004/11/03 22:30:25  paladine
- formatting

Revision 1.3  2004/05/06 18:43:11  ankry
- fixed perl-devel BR

Revision 1.2  2004/04/22 06:53:51  ankry
- license fixes and unification

Revision 1.1  2003/10/31 21:38:54  qboosh
- new
